Bug 15161 - assert failed: !is_named_stream(smb_fname)") at ../../lib/util/fault.c:197
Summary: assert failed: !is_named_stream(smb_fname)") at ../../lib/util/fault.c:197
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services (show other bugs)
Version: unspecified
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-09-01 13:51 UTC by Ralph Böhme
Modified: 2022-09-07 19:03 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.17 cherry-picked from master (8.19 KB, patch)
2022-09-02 16:43 UTC, Ralph Böhme
vl: review+
Details
Patch for 4.15 and 4.16 backported from master (7.69 KB, patch)
2022-09-05 08:19 UTC, Ralph Böhme
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2022-09-01 13:51:08 UTC
It seems the patches for bug https://bugzilla.samba.org/show_bug.cgi?id=15126 cause a regression. We need a full stackbacktrace to analyse this.
Comment 1 Samba QA Contact 2022-09-02 15:57:11 UTC
This bug was referenced in samba master:

3dcdab86f13fabb7a8c6ce71c59a565287d11244
201e1969bf31af07e8bd52876ff7f4d72b48a848
3a37e4155c3cd82388652f89b611f2c46fee8525
Comment 2 Ralph Böhme 2022-09-02 16:43:52 UTC
Created attachment 17505 [details]
Patch for 4.17 cherry-picked from master
Comment 3 Ralph Böhme 2022-09-02 16:45:40 UTC
Fwiw, the patch for 4.16 currently running in a pipeline in gitlab CI:

https://gitlab.com/samba-team/devel/samba/-/pipelines/630008933

The core change is quite different, so the patches needs additional CI testing and review.
Comment 4 Ralph Böhme 2022-09-05 08:19:32 UTC
Created attachment 17508 [details]
Patch for 4.15 and 4.16 backported from master
Comment 5 Ralph Böhme 2022-09-05 09:25:33 UTC
Reassigning to Jule for inclusion in 4.15, 4.16 and 4.17.
Comment 6 Jule Anger 2022-09-06 06:30:24 UTC
Pushed to autobuild-v4-{17,16,15}-test.
Comment 7 Samba QA Contact 2022-09-06 07:32:12 UTC
This bug was referenced in samba v4-15-test:

c5796b0c7a35f2cc96cab3c63502c21b6153abd8
fa6012b63ab36704dfcfd6f95958ae0e089a94b5
6b5792b0a2ca1b7d4114272165968aaea673fceb
Comment 8 Samba QA Contact 2022-09-06 08:09:19 UTC
This bug was referenced in samba v4-17-test:

3139a1063a07ddb8a0df705bdc67d179969960b2
930380d4746f57e3d8ae9b6e9b9e37fc12ad890d
ed1d01126160d49aea9088805120f95050510fe6
Comment 9 Samba QA Contact 2022-09-06 08:50:10 UTC
This bug was referenced in samba v4-16-test:

b807f3624d1f720ad3d60c7ee51a69d89183633f
7c83b7788ec022551a2fd9381a1a5ff8e4adf5bc
1761ad3dff2e887593a06a9d9d47828427133bfd
Comment 10 Samba QA Contact 2022-09-06 14:26:22 UTC
This bug was referenced in samba v4-17-stable (Release samba-4.17.0rc5):

3139a1063a07ddb8a0df705bdc67d179969960b2
930380d4746f57e3d8ae9b6e9b9e37fc12ad890d
ed1d01126160d49aea9088805120f95050510fe6
Comment 11 Jule Anger 2022-09-06 14:34:09 UTC
Closing out bug report.

Thanks!
Comment 12 Samba QA Contact 2022-09-07 19:03:06 UTC
This bug was referenced in samba v4-16-stable (Release samba-4.16.5):

b807f3624d1f720ad3d60c7ee51a69d89183633f
7c83b7788ec022551a2fd9381a1a5ff8e4adf5bc
1761ad3dff2e887593a06a9d9d47828427133bfd